

<div id="login">
  <div class="container">
    <div class="section-header">
      <h2 class="mb-3"> Login</h2>
      <p>
        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in mi
        libero. Quisque convallis, enim at venenatis tincidunt.
      </p>
    </div>
    <div class="row">
      <div class="col-md-6">
        <div class="login-form">
          <div class="container">
            <h2 class="mb-3"> Login</h2>
            <form [formGroup]="loginForm">
              <div class="form-group">
                <label for="email">Email:</label>
                <div class="input-icon">
                    <i class="fas fa-envelope"></i>
                <input 
                  type="email"
                  formControlName="email"
                  class="form-control"
                  id="email"
                  placeholder="Email"
                  
                  
                />
            </div>
                <div
                  class="text-danger"
                  *ngIf="
                    loginForm.controls.email.invalid &&
                    (loginForm.controls.email.dirty ||
                      loginForm.controls.email.touched)
                  "
                >
                  <div *ngIf="loginForm.controls.email.errors?.required">
                    Email is required.
                  </div>
                  <div *ngIf="loginForm.controls.email.errors?.email">
                    Invalid email format.
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label for="password">Password:</label>
                <div class="input-icon">
                    <i class="fas fa-lock"></i>
                <input
                  type="password"
                  formControlName="password"
                  class="form-control"
                  id="password"
                  placeholder="Password"
                />
            </div>
                <div class="text-danger" *ngIf="
                 loginForm.controls.password.invalid &&
                    (loginForm.controls.password.dirty ||
                      loginForm.controls.password.touched)
                  "
                >
                  <div *ngIf="loginForm.controls.password.errors?.required">
                    Password is required.
                  </div>
                </div>
              </div>
              <div class="mt-3 mb-3">
                <a routerLink="/forgot-password">Forgot Password?</a>
              </div>
              <input
                type="submit"
                (click)="login()"
                [disabled]="this.loginForm.invalid"
                class="btn btn-primary py-3 px-5"
              />
             
              <div class="mt-3">
                <a routerLink="/signup">Don't have an account? Sign Up</a>
              </div>
            </form>
            <div *ngIf="error" class="error">{{ error }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
